Britive platform release 2026.09.02 is now live in production.

Get access profile setting for given profile ID

Prev Next
Get
/api/access/{profileId}/environments/{environmentId}/settings
Security
HTTP
Type bearer
Path parameters
profileId
stringRequired

Profile ID to get Profile Access Setting

environmentId
stringRequired

Environment ID to get Profile Access Setting

Responses
200

Successful operation

Expand All
object
profileId
string
environmentId
string
justificationSetting
object
settingsType
string
isJustificationRequired
boolean
isJustificationRequiredAtCheckout
boolean
justificationRegex
string
id
string
entityId
string
entityType
string
isInherited
boolean
connectionId
string
connectionType
string
isCommentRequired
boolean
isITSMEnabled
boolean
supportedTicketTypes
Array of string
string
itsmFilterCriteria
Array of object (ItsmFilterCriteriaDto)
object
supportedTicketType
string
filter
object (ITSMFilter)
property*
string additionalProperties
isJustificationRequired
boolean
isJustificationRequiredAtCheckout
boolean
justificationRegex
string
id
string
entityId
string
entityType
string
isInherited
boolean
itsmSetting
object
settingsType
string
connectionId
string
connectionType
string
isCommentRequired
boolean
isITSMEnabled
boolean
supportedTicketTypes
Array of string
string
itsmFilterCriteria
Array of object (ItsmFilterCriteriaDto)
object
supportedTicketType
string
filter
object (ITSMFilter)
property*
string additionalProperties
id
string
entityId
string
entityType
string
isInherited
boolean
connectionId
string
connectionType
string
isCommentRequired
boolean
isITSMEnabled
boolean
supportedTicketTypes
Array of string
string
itsmFilterCriteria
Array of object (ItsmFilterCriteriaDto)
object
supportedTicketType
string
filter
object (ITSMFilter)
property*
string additionalProperties
id
string
entityId
string
entityType
string
isInherited
boolean
isJustificationRequired
boolean
isJustificationRequiredAtCheckout
boolean
justificationRegex
string
onCallSettings
object (AutoApprovalSettings)
isAutoApproved
boolean
Defaultfalse
autoApprovalEndDate
string
approvalRequestData
object (ApprovalRequestData)
justification
string

Existing Justification

ticketId
string

Existing Ticket ID

ticketType
string

Existing Ticket Type

404

Profile or environment not found